• Home
  • Kim Kardashian willing to wear adult diapers for the sake of fashion

Kim Kardashian willing to wear adult diapers for the sake of fashion

Kim Kardashian willing to wear adult diapers for the sake of fashion
© Cover Media

Kim Kardashian is willing to wear adult diapers if it means her outfit looks good.

During an interview for The Ellen DeGeneres Show that aired in the U.S. on Wednesday, the reality TV star emphasised that she will always compromise comfort for couture.

"I'll be in pyjamas and sweats when I'm home but when I go out I'll wear literally anything. I don't care how uncomfortable or if I have to wear a diaper and not go to the bathroom. I don't care," she declared, adding that she actually purchased some adult diapers while preparing to sit a law exam. "I actually bought adult diapers when I took the bar exam because I didn't know how it worked so I thought I had to sit there for eight hours straight."

Elsewhere in the conversation, Kim revealed her eight-year-old daughter North West, whom she shares with ex-husband Kanye West, took creative control over her photoshoot for the March 2022 issue of U.S. Vogue magazine. Specifically, North selected the clothes her three siblings should wear.

"She styled the whole thing. They were all going to wear black but she walked out and was like, 'This is so boring I can't believe this is what we're going to wear, I'm going to dress everyone,'" the 41-year-old recalled. "She went (into) everyone's closet and picked it all out."

Kim added, "Any time I have to do a photoshoot with my kids or the cousins it's like the worst day of my life and I always say I'll never do it again, but then you get amazing pictures like this.

"It was supposed to be a group shot but no one wanted to take pictures together and everyone was crying and wanted me to hold them. So, that's what we got. But it's so perfect and cute."

You might also like

Streaming will resume following the advertisement message.
Feel Good Weekends with Nat Lauzon
Live
75
Votre version d'internet explorer est trop basse. Utilisez au moins la version 11 ou un navigateur récent comme Google Chrome.